Upgrade from Plesk 9.5.5 to 11.5.30 fails: "plesksrv.exe -install failed with code -1073741515"

Refers to:

  • Plesk 10.4 for Windows
  • Plesk 10.0.0 for Windows
  • Plesk 11.0 for Windows
  • Plesk 11.5 for Windows

Created:

2016-11-16 13:08:28 UTC

Modified:

2016-12-21 20:02:22 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Upgrade from Plesk 9.5.5 to 11.5.30 fails: "plesksrv.exe -install failed with code -1073741515"

Symptoms

An upgrade Plesk 9.5.5 to 11.5.30 fails with this error:

    Error: The installation of the package 'plesk-service-node-utilities' failed with code 1603. (install: installing Parallels Panel Utilities...)

From autoinstaller3.log :

    MSI: Error! Critical action 'Installing Plesk Management service...' failed:
Command "C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\plesksrv.exe" -install failed with code -1073741515.

Cause

Microsoft Visual C++ 2010 Redistributable Package is not installed on the server or it is broken (for example, some file is missing).

Resolution

  1. Download Visual C++ 2010 Redistributable Package: http://www.microsoft.com/en-us/download/details.aspx?id=5555

  2. Install/reinstall Visual C++ 2010 Redistributable Package on the server.

Have more questions? Submit a request
Please sign in to leave a comment.